package de.hdm_stuttgart.sw1.klausur.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.sw1.klausur.string.StringHelper;

@SuppressWarnings({"javadoc"})
public class TestAnzahlZiffernString {
	
	private static void pruefeErwarteteZiffernAnzahl(final String s, final int erwarteteZiffernanzahl) {
		Assert.assertEquals(
           "String '" + s + "' enthält " + erwarteteZiffernanzahl + " Ziffern",
           erwarteteZiffernanzahl,
           StringHelper.anzahlZiffern(s));
	}
	
   @Test
   @Marking(points=2)
   public void anzahlZiffernNull() {
      Assert.assertEquals("Ein null String enthält 0 Ziffern",
            0, StringHelper.anzahlZiffern((String)null));
   }
   
   @Test
   @Marking(points=6)
   public void anzahlZiffernDiverse() {
	   
	   pruefeErwarteteZiffernAnzahl("", 0);
	   pruefeErwarteteZiffernAnzahl("Tim", 0);
	   pruefeErwarteteZiffernAnzahl(" ", 0);
	   pruefeErwarteteZiffernAnzahl("1hulgigzgzu", 1);
	   pruefeErwarteteZiffernAnzahl("wsefresd2", 1);
	   pruefeErwarteteZiffernAnzahl("0123456789", 10);
	   pruefeErwarteteZiffernAnzahl("vdfgd123jhztf", 3);
	   pruefeErwarteteZiffernAnzahl("1a2b3", 3);
	   pruefeErwarteteZiffernAnzahl("dsfcd1234frsfe", 4);
   }
}
