package de.hdm_stuttgart.sw1.klausur.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.sw1.klausur.string.StringHelper;
import de.hdm_stuttgart.sw1.klausur.test.ignoriere_mich.Helper;

/**
 * String Tests.
 */
@SuppressWarnings({"javadoc" })
public class TestAnzahlZiffernStringArray {

	private static void pruefeErwarteteZiffernAnzahl(final String s[], final int erwarteteZiffernzahl) {
		Assert.assertEquals(
				"String array " + Helper.toString(s) + " enthält " + erwarteteZiffernzahl + " Ziffern.",
				erwarteteZiffernzahl, 
				StringHelper.anzahlZiffern(s));
	}

	@Test
	public void testAnzahlZiffernNull() {
		final String t = null;
		Assert.assertEquals("Ein null String[] enthält 0 Ziffern",
				0,
				StringHelper.anzahlZiffern(t));
	}

	@Test
	@Marking(points=4)
	public void testAnzahlZiffernNotNull() {

		pruefeErwarteteZiffernAnzahl(new String[]{}, 0);
		pruefeErwarteteZiffernAnzahl(new String[]{""}, 0);
		pruefeErwarteteZiffernAnzahl(new String[]{"1", " and", "33 plus 4"}, 4);
	}

	@Test
	@Marking(points=4)
	public void testAnzahlZiffernMixedNull() {
		pruefeErwarteteZiffernAnzahl(new String[]{null}, 0);
		pruefeErwarteteZiffernAnzahl(new String[]{null, null}, 0);
		pruefeErwarteteZiffernAnzahl(new String[]{"1", null, " and", "337 plus 4", null, null}, 5);
	}
}
